using LinqToDB.Mapping;

namespace bahnplan.web.database.Tables {
	[Table(Name = "Cards")]
	public class Card {
		[Column(Name = "CardID"), PrimaryKey, Identity, NotNull]
		public int CardId { get; set; }

		[Column(Name = "OrderID"), NotNull] public string OrderId { get; set; }

		[Column(Name = "UserID"), NotNull] public int UserId { get; set; }

		[Column(Name = "CardNumber"), NotNull] public string CardNumber { get; set; }

		[Column(Name = "Class"), NotNull] public int Class { get; set; }

		[Column(Name = "Value"), NotNull] public int Value { get; set; }

		[Column(Name = "Traveller")] public string Traveller { get; set; }

		[Column(Name = "CardQR")] public string CardQr { get; set; }

		[Column(Name = "CardSecCode")] public string CardSecCode { get; set; }

		[Column(Name = "CardImage")] public string CardImage { get; set; }

		[Column(Name = "CardInfo")] public string CardInfo { get; set; }

		[Column(Name = "ValidFrom")] public string ValidFrom { get; set; }

		[Column(Name = "ValidTo")] public string ValidTo { get; set; }

		[Column(Name = "QRValidFrom")] public string QrValidFrom { get; set; }

		[Column(Name = "QRValidTo")] public string QrValidTo { get; set; }
	}
}